MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002997VCMIMechanics - Adventure Mappublic2018-08-11 19:262018-09-16 14:03
ReporterNullkiller 
Assigned ToDydzio 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.99 
Target VersionFixed in Version0.next 
Summary0002997: Crash when move from teleport
DescriptionCPlayerInterface.doMoveHero, line 2717
sh = CCS->soundh->playSound(CCS->soundh->horseSounds[currentTerrain], -1);

It tries to play a horse sound but currentTerrain is not initialized and we have out of range
Steps To ReproduceLoad save
Select Luna and move to our town
- The hero bypasses a portal
- Crash
TagsNo tags attached.
Attached Fileszip file icon Saves.zip [^] (513,064 bytes) 2018-08-11 19:26

- Relationships
related to 0002902new When I build a route through a monolith 

-  Notes
(0007625)
Povelitel (updater)
2018-08-11 20:34

May be has connection? https://bugs.vcmi.eu/view.php?id=2902 [^]
(0007626)
Nullkiller (developer)
2018-08-12 06:45

Maybe a duplicate.
(0007645)
Dydzio (developer)
2018-09-16 13:10

Fixed in: https://github.com/vcmi/vcmi/pull/491 [^]

- Issue History
Date Modified Username Field Change
2018-08-11 19:26 Nullkiller New Issue
2018-08-11 19:26 Nullkiller File Added: Saves.zip
2018-08-11 20:34 Povelitel Note Added: 0007625
2018-08-12 06:45 Nullkiller Note Added: 0007626
2018-09-16 13:04 Dydzio Assigned To => Dydzio
2018-09-16 13:04 Dydzio Status new => assigned
2018-09-16 13:10 Dydzio Relationship added related to 0002902
2018-09-16 13:10 Dydzio Note Added: 0007645
2018-09-16 14:03 Dydzio Status assigned => resolved
2018-09-16 14:03 Dydzio Fixed in Version => 0.next
2018-09-16 14:03 Dydzio Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean